Summary:        A system tool for maintaining the /etc/rc*.d hierarchy
Name:           chkconfig
Version:        1.30
Release:        1
License:        GPL-2.0-only
URL:            https://github.com/fedora-sysv/chkconfig
Source:         https://github.com/fedora-sysv/chkconfig/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  newt-devel gettext popt-devel libselinux-devel beakerlib gcc pkgconfig(systemd) make
Conflicts:      initscripts <= 5.30-1
Provides:       ntsysv = %{version}-%{release}
Obsoletes:      ntsysv < %{version}-%{release}
Provides:       alternatives = %{version}-%{release}
Obsoletes:      alternatives < %{version}-%{release}
Provides:       /sbin/chkconfig

Patch0:  fix-coredump-while-parseServiceInfo-return-1.patch

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc.d, to relieve system administrators of some 
of the drudgery of manually editing the symbolic links.

%package_help

%prep
%autosetup -p1

%build
%make_build RPM_OPT_FLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"

%check
%make_build check

%install
%make_install MANDIR=%{_mandir} SBINDIR=%{_sbindir}
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -s rc.d/init.d $RPM_BUILD_ROOT/etc/init.d
for n in 0 1 2 3 4 5 6; do
    mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc${n}.d
    ln -s rc.d/rc${n}.d $RPM_BUILD_ROOT/etc/rc${n}.d
done
mkdir -p $RPM_BUILD_ROOT/etc/chkconfig.d

%files -f %{name}.lang
%license COPYING
%dir %{_sysconfdir}/alternatives
%ghost %dir %attr(755, root, root) /etc/alternatives.admindir
%ghost %dir %attr(755, root, root) /var/lib/alternatives
%{_sysconfdir}/chkconfig.d
%{_sysconfdir}/init.d
%{_sysconfdir}/rc.d
%{_sysconfdir}/rc.d/init.d
%{_sysconfdir}/rc[0-6].d
%{_sysconfdir}/rc.d/rc[0-6].d
%{_sbindir}/ntsysv
%{_sbindir}/update-alternatives
%{_sbindir}/alternatives
%{_sbindir}/chkconfig
%{_prefix}/lib/systemd/systemd-sysv-install

%files help
%{_mandir}/man8/*

%changelog
* Wed Aug 07 2024 Funda Wang <fundawang@yeah.net> - 1.30-1
- update to 1.30

* Mon Jul  8 2024 dillon chen <dillon.chen@gmail.com> - 1.28-1
- update version to 1.28

* Fri Aug  4 2023 dillon chen <dillon.chen@gmail.com> - 1.25-1
- update version to 1.25

* Wed Jul 26 2023 xujing <xujing125@huawei.com> - 1.24-1
- update version to 1.24

* Fri Feb 17 2023 tanyulong <tanyulong@kylinos.cn> - 1.21-2
- enable check

* Wed Oct 12 2022 fushanqing <fushanqing@kylinos.cn> - 1.21-1
- Update to 1.21

* Sat Aug 27 2022 yixiangzhike <yixiangzhike007@163.com> - 1.20-2
- fix coredump while parseServiceInfo return non-zero

* Thu Dec 30 2021 wangchen <wangchen137@huawei.com> - 1.20-1
- Update to 1.20

* Thu Jul 8 2021 duyiwei <duyiwei@kylinos.cn> - 1.15-1
- Update to 1.15

* Mon Aug 31 2020 wangchen <wangchen137@huawei.com> - 1.14-2
- Open make check because beakerlib exist

* Fri Jul 31 2020 wangchen <wangchen137@huawei.com> - 1.14-1
- Update to 1.14

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-8
- Add obsoletes of ntsysv

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-7
- Package Init

